[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# EInOutError

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Input/Output error

## Declaration

Source position: sysutilh.inc line 156

`type EInOutError = class(Exception)`
`public`
`ErrorCode: Integer;` |  | Error code for Input/Output operation.
`end;`

## Inheritance

`EInOutError` |  | Input/Output error
`Exception` |  | Base class of all exceptions.
`TObject`

## Description

EInOutError is raised when a IO routine of Free Pascal returns an error. The error is converted to an EInOutError only if the input/output checking feature of FPC is turned on. The error code of the input/output operation is returned in ErrorCode.

## See also

EInOutError.ErrorCode |  | Error code for Input/Output operation.